ZSNES(1)

VERSION 1.337

ZSNES
Play Super Nintendo games on your Intel x86 or compatible PC!

SYNOPSIS
zsnes [-?] [-0] [-1 #] [-2 #] [-7] [-8] [-9] [-a] [-c] [-cb] [-cd] [-d] [-dd] [-e] [-f #] [-g #] [-h | -l] [-i] [-j] [-k #] [-m] [-n] [-o] [-om] [-p #] [-r #] [-s] [-sa] [-sn] [-t | -u] [-v #] [-w] [-y] [-z] <romname>

  -0
Disable color 0 modification in 256 (8-bit) color modes

-1 # / -2 #
    Not documented until I know for sure how this works on Linux.

-7  Disable SPC700 speedhack

-8  Force 8-bit sound

-9  Off by 1 line fix

-a  Turn on auto frame skip

-c  Scale to fit screen

-cb Remove Background Color in 256 (8-bit) color modes

-cc No image scale and center image in screen

-d  Start with debugger (Not supported on many platforms)

-dd Disable sound DSP emulation

-e  Skip ENTER key press at beginning

-f #
    Enable frame skipping, where # is a numerical value from 0-9

-g #
    Enable gamma correction, where # is a numerical value from 0-5. Default is 0

-h  Force HiROM. Cannot be used with -l

-i  Uninterleave ROM image

-j  Disable Mouse (Automatically turns off right mouse click)

-k #
    Set volume level, where # is a numerical value from 1-100

-l  Force LoROM. Cannot be used with -h

-m  Disable GUI

-n  Enable scanlines

-o  Enable FPU copy

-om Enable MMX copy

-p #
    Percentage of instructions to execute, where # is a numerical value from 50-150

-r #
    Set audio sampling rate, where # is one of: 0 = 8 KHz 1 = 11.025 KHz 2 = 22.05 KHz 3 = 44.1 KHz 4 = 16 KHz 5 = 32 KHz

-s  Enable SPC700/DSP emulation (i.e., sound)

-sa Show files with all extensions (*.*) in GUI. Default is to only show files with one of the extensions listed in romname

-sn Enable snowy GUI background

-t  Force NTSC (60 Hz) timing. Cannot be used with -u

-u  Force PAL (50 Hz) timing. Cannot be used with -t

-v #
    Not documented until I know how this works under Linux

-w  Enable VSync

-y  Enable EAGLE (640x480x256 <8-bit> only) or Interpolation (640x480x65536 <16-bit> only)

-z  Enable stereo sound

romname
    Name of ROM to auto-load. romname is of the format filename.ext, where .ext is one of .SMC, .SFC, .SWC, .FIG, .058, .078, .1, .A, .USA, or .JAP To save space, you can zip the ROM files and zSNES should still be able to load them.

DESCRIPTION
zSNES is an emulator for the Super Nintendo video game console, written mostly in assembler by zsKnight and _Demo_ (who also works on ePSXe), with Pharos and Teuf as assistant coders. Originally a DOS program, it has now been ported to Windows and Linux. All core udpates will be done simultaneously (i.e. for DOS, Windows, and Linux versions). Visit http://www.zsnes.com for the latest updates.

FILES AND DIRECTORIES

zsnes
    The main program

~/.zsnes
    The directory where the save states, screenshots, and movie files are stored. This directory is created by zsnes

~/.zsnes/zsnesl.cfg
    Where configuration settings are stored. This file is created by zsnes.

~/.zsnes/.zguicfgl.dat
    The dat file for the GUI. This file is created by zsnes. If for some reason you update your version of zsnes and it keeps crashing before you can do anything, you should try deleting this file and have zsnes create a new one.

GRAPHICS PACKS
The graphics packs for games such as Star Ocean, Street Fighter Alpha, and others must be stored in the ~/.zsnes directory. For example, if you have Star Ocean, you will need to place the graphics pack in ~/.zsnes/SOCNSDD1 and the files within that directory must all be lowercase. (This will remain this way until the authors decide to make changes in the init.asm file.) As of version 1.337, the directory name of the graphics packs must be capitalized and all files within that directory are in lowercase.

SEE ALSO
zsnesgui(1) and zsnesfaq(1), neither of which happens to be written yet. (Hey, this is a work in progress.)

SPECIAL CHIP GAMES
Many games that use special chips do not work, including but not limited to the following: SuperFX: - Dirt Trax FX - Winter Gold DSP-1 (and variants): - Pilotwings - Top Gear 3000 SDD-1: - Street Fighter Alpha 2 now works with the DeJap graphics pack. - Star Ocean now works with the DeJap graphics pack. SPC7110: - Far East of Eden Zero works with the DeJap graphics pack. SA-1: - Super Mario RPG: Legend of the Seven Stars

AUTHOR
This document was written by Mitchell Mebane (majm101@yahoo.com) and updated by Han Duong (han@classicgaming.com). The latest official version of this document (i.e., excluding betas) may always be found at the zSNES CVS page (zsnes.sourceforge.net). The authors of zSNES are:

zsKnight
    (zsknight@zsnes.com)

_Demo_
    (_demo_@zsnes.com)

Pharos
    (pharos@zsnes.com)

Teuf
    (Don't know if he has a zsnes.com email yet, if/when he does, it will probably be teuf@zsnes.com) Do not email them any ROM requests, or send any file attachments without their prior consent.

LINUX CONTRIBUTORS
The contributors to the Linux version are:

- Steven "relnev" Fuller

- Andrew "prometheus" Henderson

- Dan "theoddone33" Olson

- Shawn "EvilTypeGuy" Walker

- Han "hpsolo" Duong

- Aaron Lehmann

- Patrick "Diablo-D3" McFarland

VERSION HISTORY

Initial release of ZSNES man page by Mitchell "The Khan Artist" Mebane.

Updated by Han Duong (from now on the man page version should match the release of ZSNES).
    zSNES manpage, version 1.337.